Bug 424711 - chsh can't set shell of a user
Summary: chsh can't set shell of a user
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
(Show other bugs)
Version: 8
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-12-14 07:58 UTC by Dave Jones
Modified: 2015-01-04 22:30 UTC (History)
1 user (show)

Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-30 19:06:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dave Jones 2007-12-14 07:58:21 UTC
add a user, and then try to do chsh $username /bin/false  or /bin/nologin
and you get this..


type=AVC msg=audit(1197616408.149:549): avc:  denied  { execute } for  pid=9694
comm="chsh" name="false" dev=sda1 ino=339692
scontext=unconfined_u:system_r:chfn_t:s0-s0:c0.c1023
tcontext=system_u:object_r:bin_t:s0 tclass=file
type=AVC msg=audit(1197616421.885:550): avc:  denied  { execute } for  pid=9697
comm="chsh" name="false" dev=sda1 ino=339692
scontext=unconfined_u:system_r:chfn_t:s0-s0:c0.c1023
tcontext=system_u:object_r:bin_t:s0 tclass=file
type=AVC msg=audit(1197616444.623:551): avc:  denied  { execute } for  pid=9699
comm="chsh" name="nologin" dev=sda1 ino=254
scontext=unconfined_u:system_r:chfn_t:s0-s0:c0.c1023
tcontext=system_u:object_r:bin_t:s0 tclass=file

Comment 1 Daniel Walsh 2007-12-17 15:57:51 UTC
Fixed in selinux-policy-3.0.8-69.fc8

Does not seem to cause a problem, although does generate an avc.

Comment 2 Daniel Walsh 2008-01-30 19:06:42 UTC
Bulk closing a old selinux policy bugs that were in the modified state.  If the
bug is still not fixed.  Please reopen.


Note You need to log in before you can comment on or make changes to this bug.